## scikit-optimize 0.10.2

=== Makefile ===
# simple makefile to simplify repetitive build env management tasks under posix

# caution: testing won't work on windows, see README

PYTHON ?= python
CYTHON ?= cython
PYTEST ?= pytest
CTAGS ?= ctags

# skip doctests on 32bit python
BITS := $(shell python -c 'import struct; print(8 * struct.calcsize("P"))')

all: clean inplace test

clean-ctags:
	rm -f tags

clean: clean-ctags
	$(PYTHON) setup.py clean
	rm -rf dist

in: inplace # just a shortcut
inplace:
	$(PYTHON) setup.py build_ext -i

test-code: in
	$(PYTEST) --showlocals -v skopt --durations=20
test-sphinxext:
	$(PYTEST) --showlocals -v doc/sphinxext/
test-doc:
ifeq ($(BITS),64)
	$(PYTEST) $(shell find doc -name '*.rst' | sort)
endif
test-code-parallel: in
	$(PYTEST) -n auto --showlocals -v skopt --durations=20

test-coverage:
	rm -rf coverage .coverage
	$(PYTEST) skopt --showlocals -v --cov=skopt --cov-report=html:coverage
test-coverage-parallel:
	rm -rf coverage .coverage .coverage.*
	$(PYTEST) skopt -n auto --showlocals -v --cov=skopt --cov-report=html:coverage

test: test-code test-sphinxext test-doc

trailing-spaces:
	find skopt -name "*.py" -exec perl -pi -e 's/[ \t]*$$//' {} \;

ctags:
	# make tags for symbol based navigation in emacs and vim
	# Install with: sudo apt-get install exuberant-ctags
	$(CTAGS) --python-kinds=-i -R skopt

doc: inplace
	$(MAKE) -C doc html

doc-noplot: inplace
	$(MAKE) -C doc html-noplot

=== requirements.txt ===
numpy>=1.20.3
scipy>=1.1.0
scikit-learn>=1.0.0
matplotlib>=2.0.0
pytest
pyaml>=16.9
joblib>=0.11

=== .binder/requirements.txt ===
matplotlib
pandas
sphinx-gallery
scikit-learn
scikit-optimize

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
# SPHINXOPTS    = -j auto
SPHINXOPTS    =
SPHINXBUILD  ?= sphinx-build
PAPER         =
BUILDDIR      = _build
ifneq ($(EXAMPLES_PATTERN),)
    EXAMPLES_PATTERN_OPTS := -D sphinx_gallery_conf.filename_pattern="$(EXAMPLES_PATTERN)"
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -T -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS)\
    $(EXAMPLES_PATTERN_OPTS) .


.PHONY: help clean html dirhtml pickle json latex latexpdf changes linkcheck doctest optipng

all: html-noplot

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf auto_examples/
	-rm -rf generated/*
	-rm -rf modules/generated/

html:
	# These two lines make the build a bit more lengthy, and the
	# the embedding of images more robust
	rm -rf $(BUILDDIR)/html/_images
	#rm -rf _build/doctrees/
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html/stable
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/stable"

html-noplot:
	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html/stable
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/stable."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

# download-data:
# 	python -c "from sklearn.datasets._lfw import _check_fetch_lfw; _check_fetch_lfw()"

# Optimize PNG files. Needs OptiPNG. Change the -P argument to the number of
# cores you have available, so -P 64 if you have a real computer ;)
optipng:
	find _build auto_examples */generated -name '*.png' -print0 \
	  | xargs -0 -n 1 -P 4 optipng -o10

dist: html latexpdf
	cp _build/latex/scikit-optimize.pdf _build/html/stable/_downloads/scikit-optimize-docs.pdf

=== doc/requirements.txt ===
ipykernel
numpy
matplotlib
pandas
ipywidgets
sphinx
sphinx-gallery>=0.6
numpydoc
pydata-sphinx-theme

=== doc/binder/requirements.txt ===
# A binder requirement file is required by sphinx-gallery. We don't really need
# one since the binder requirement files live in the
# scikit-learn/binder-examples repo and not in the scikit-learn.github.io repo
# that comes from the scikit-learn doc build. This file can be removed if
# 'dependencies' is made an optional key for binder in sphinx-gallery.

=== debian/changelog ===
scikit-optimize (0.10.2-6) unstable; urgency=medium

  * Patches:
    - Fix regressor validation with scikit-learn >= 1.6. (Closes: #1127791)
    - Fix autopkgtest test_plots.
  * d/control:
    - Bump Standards-Version to 4.7.3.
    - Remove Priority.
    - Remove Rules-Requires-Root.
    - Update depends to libjs-bootstrap5.
  * d/rules: exclude duplicates in installdocs.
  * d/watch: update to version 5 format.
  * d/copyright: update debian/* copyright year.
  * Add d/salsa-ci.yml.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 18 Feb 2026 04:24:59 +0000

scikit-optimize (0.10.2-5) unstable; urgency=medium

  * Team upload.
  * Fix mixin order for scikit-learn >= 1.6 (closes: #1117992).

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Oct 2025 03:12:24 +0100

scikit-optimize (0.10.2-4) unstable; urgency=medium

  * d/control: bump libjs-bootstrap4 to libjs-bootstrap5
    in B-Depends. (Closes: #1088437)

 -- Yogeswaran Umasankar <yogu@debian.org>  Tue, 03 Dec 2024 07:07:02 +0000

scikit-optimize (0.10.2-3) unstable; urgency=medium

  * Patch to fix build reproducibility. (Closes: #1078048)

 -- Yogeswaran Umasankar <yogu@debian.org>  Tue, 06 Aug 2024 19:50:00 +0000

scikit-optimize (0.10.2-2) unstable; urgency=medium

  * Source-only upload.
  * d/control: Update <!nodoc> and <!nocheck> list.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 04 Aug 2024 04:50:00 +0000

scikit-optimize (0.10.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1077364)

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 28 Jul 2024 23:30:00 +0000

=== debian/control ===
Source: scikit-optimize
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yogeswaran Umasankar <yogu@debian.org>,
Homepage: https://github.com/holgern/scikit-optimize
Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-optimize.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-optimize
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libjs-bootstrap5 <!nodoc>,
 libjs-jquery-datatables <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-flake8,
 python3-joblib,
 python3-matplotlib,
 python3-numpy,
 python3-numpydoc <!nodoc>,
 python3-packaging,
 python3-pandas,
 python3-pyaml-env,
 python3-pydata-sphinx-theme <!nodoc>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-setuptools,
 python3-sklearn,
 python3-sphinx <!nodoc>,
 python3-sphinx-autodoc2 <!nodoc>,
 python3-sphinx-gallery <!nodoc>,
Standards-Version: 4.7.3
Testsuite: autopkgtest-pkg-pybuild

Package: python3-scikit-optimize
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Sequential model-based optimization toolbox
 Scikit-Optimize, or ``skopt``, is a simple and efficient
 library for optimizing (very) expensive and noisy
 black-box functions. It implements several methods for
 sequential model-based optimization. ``skopt`` aims to
 be accessible and easy to use in many contexts.

Package: python-scikit-optimize-doc
Architecture: all
Section: doc
Depends:
 libjs-bootstrap5,
 libjs-jquery,
 libjs-jquery-datatables,
 node-mathjax-full,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Documentation for scikit-optimize
 Scikit-Optimize, or ``skopt``, is a simple and efficient
 library for optimizing (very) expensive and noisy
 black-box functions. It implements several methods for
 sequential model-based optimization. ``skopt`` aims to
 be accessible and easy to use in many contexts.
 .
 This package contains documentation for scikit-optimize.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=scikit-optimize

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	pytest
else
	@echo "Skipping tests as per DEB_BUILD_OPTIONS"
endif

override_dh_installdocs:
	https_proxy='127.0.0.1:9' http_proxy='127.0.0.1:9' sphinx-build -b html doc build/sphinx/html

	# Remove or replace privacy-breach URLs with local paths
	find -type f -name "*.html" -exec sed -i 's|https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-chtml.js|/usr/share/nodejs/mathjax-full/components/src/tex-chtml/tex-chtml.js|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.3.0/css/bootstrap.min.css|/usr/share/javascript/bootstrap/css/bootstrap.min.css|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://code.jquery.com/jquery-3.7.0.js|/usr/share/javascript/jquery/jquery.js|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://raw.githubusercontent.com/holgern/scikit-optimize/main/media/bo-objective.png|(URL removed)|g' {} +

	# Remove license file
	find -type f -name "LICENSE.txt" -delete

	dh_installdocs -ppython-scikit-optimize-doc --doc-main-package=python-scikit-optimize-doc \
	--exclude=_downloads \
	--exclude=_images \
	build/sphinx/html
	
	dh_installdocs -Npython-scikit-optimize-doc

=== debian/watch ===
Version: 5
Template: Github
Owner: holgern
Project: scikit-optimize
